# Uses of Interface
org.opensaml.soap.wstrust.SignatureAlgorithm

Packages that use SignatureAlgorithm
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of SignatureAlgorithm in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement SignatureAlgorithm
Modifier and Type
Class
Description
`class`
`SignatureAlgorithmImpl`
SignatureAlgorithmImpl.
Methods in org.opensaml.soap.wstrust.impl that return SignatureAlgorithm
Modifier and Type
Method
Description
`SignatureAlgorithm`
SignatureAlgorithmBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`SignatureAlgorithm`
SignatureAlgorithmBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.